RagTime5StyleManager Class Reference documentation

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5StyleManager Class Reference

basic class used to read/store RagTime 5/6 styles More...

`#include <RagTime5StyleManager.hxx>`

## Classes
struct | GraphicStyle
| the graphic style of a RagTime v5-v6 document More...
struct | TextStyle
| the text style of a RagTime v5-v6 document More...

## Public Member Functions
| RagTime5StyleManager (RagTime5Document &doc)
| constructor More...
| ~RagTime5StyleManager ()
| destructor More...
bool | readGraphicColors (RagTime5ClusterManager::Cluster &cluster)
| try to read a graphic color zone More...
bool | readGraphicStyles (RagTime5ClusterManager::Cluster &cluster)
| try to read a main graphic styles More...
bool | readTextStyles (RagTime5ClusterManager::Cluster &cluster)
| try to read a main text styles More...
bool | readFormats (RagTime5ClusterManager::Cluster &cluster)
| try to read the list of format More...
bool | updateSurfaceStyle (int graphicId, MWAWGraphicStyle &surfaceStyle) const
| updates a graphic style More...
bool | updateFrameStyle (int graphicId, MWAWGraphicStyle &surfaceStyle) const
| updates a graphic style (used for textbox) More...
bool | updateBorderStyle (int graphicId, MWAWGraphicStyle &borderStyle, bool isLine) const
| updates a graphic style(border) More...
bool | getLineColor (int graphicId, MWAWColor &color) const
| returns the line color corresponding to a graphic style More...
bool | updateTextStyles (int textId, MWAWFont &font, MWAWParagraph &para, MWAWSection &section, double totalWidth=0) const
| update the font and the paragraph properties using a text style More...
bool | getCellBorder (int graphicId, MWAWBorder &border) const
| returns a cell border More...
bool | getCellBackgroundColor (int graphicId, MWAWColor &color) const
| returns the cell background More...
bool | updateCellFormat (int formatId, MWAWCell &cell) const
| updates the cell format More...

## Static Public Member Functions
static std::string | printType (unsigned long fileType)
| debug: print a file type More...

## Protected Member Functions
void | updateTextStyles (size_t id, RagTime5StyleManager::TextStyle const &style, std::vector< RagTime5StyleManager::TextStyle > const &listReadStyles, std::multimap< size_t, size_t > const &idToChildIpMap, std::set< size_t > &seens)
| recursive function use to update the style list More...
void | updateGraphicStyles (size_t id, RagTime5StyleManager::GraphicStyle const &style, std::vector< RagTime5StyleManager::GraphicStyle > const &listReadStyles, std::multimap< size_t, size_t > const &idToChildIpMap, std::set< size_t > &seens)
| recursive function use to update the style list More...

## Protected Attributes
RagTime5Document & | m_document
| the parser More...
MWAWParserStatePtr | m_parserState
| the parser state More...
std::shared_ptr< RagTime5StyleManagerInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5StyleManager (RagTime5StyleManager const &orig)=delete
RagTime5StyleManager | operator= (RagTime5StyleManager const &orig)=delete

## Friends
class | RagTime5Document

## Detailed Description

basic class used to read/store RagTime 5/6 styles

## Constructor & Destructor Documentation

## ◆ RagTime5StyleManager() [1/2]

RagTime5StyleManager::RagTime5StyleManager | ( | RagTime5Document & | doc | ) |
| explicit

constructor

## ◆ ~RagTime5StyleManager()

RagTime5StyleManager::~RagTime5StyleManager | ( |  | ) |

destructor

## ◆ RagTime5StyleManager() [2/2]

RagTime5StyleManager::RagTime5StyleManager | ( | RagTime5StyleManager const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ getCellBackgroundColor()

bool RagTime5StyleManager::getCellBackgroundColor | ( | int | graphicId,
|  | MWAWColor & | color
| ) |  | const

returns the cell background

## ◆ getCellBorder()

bool RagTime5StyleManager::getCellBorder | ( | int | graphicId,
|  | MWAWBorder & | border
| ) |  | const

returns a cell border

## ◆ getLineColor()

bool RagTime5StyleManager::getLineColor | ( | int | graphicId,
|  | MWAWColor & | color
| ) |  | const

returns the line color corresponding to a graphic style

Referenced by updateTextStyles().

## ◆ operator=()

RagTime5StyleManager RagTime5StyleManager::operator= | ( | RagTime5StyleManager const & | orig | ) |
| privatedelete

## ◆ printType()

static std::string RagTime5StyleManager::printType | ( | unsigned long | fileType | ) |
| inlinestatic

debug: print a file type

Referenced by RagTime5StyleManager::GraphicStyle::read(), and RagTime5StyleManager::TextStyle::read().

## ◆ readFormats()

bool RagTime5StyleManager::readFormats | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read the list of format

## ◆ readGraphicColors()

bool RagTime5StyleManager::readGraphicColors | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read a graphic color zone

## ◆ readGraphicStyles()

bool RagTime5StyleManager::readGraphicStyles | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read a main graphic styles

## ◆ readTextStyles()

bool RagTime5StyleManager::readTextStyles | ( | RagTime5ClusterManager::Cluster & | cluster | ) |

try to read a main text styles

## ◆ updateBorderStyle()

bool RagTime5StyleManager::updateBorderStyle | ( | int | graphicId,
|  | MWAWGraphicStyle & | borderStyle,
|  | bool | isLine
| ) |  | const

updates a graphic style(border)

## ◆ updateCellFormat()

bool RagTime5StyleManager::updateCellFormat | ( | int | formatId,
|  | MWAWCell & | cell
| ) |  | const

updates the cell format

## ◆ updateFrameStyle()

bool RagTime5StyleManager::updateFrameStyle | ( | int | graphicId,
|  | MWAWGraphicStyle & | surfaceStyle
| ) |  | const

updates a graphic style (used for textbox)

## ◆ updateGraphicStyles()

void RagTime5StyleManager::updateGraphicStyles | ( | size_t | id,
|  | RagTime5StyleManager::GraphicStyle const & | style,
|  | std::vector< RagTime5StyleManager::GraphicStyle > const & | listReadStyles,
|  | std::multimap< size_t, size_t > const & | idToChildIpMap,
|  | std::set< size_t > & | seens
| ) |  |
| protected

recursive function use to update the style list

Referenced by readGraphicStyles(), and updateGraphicStyles().

## ◆ updateSurfaceStyle()

bool RagTime5StyleManager::updateSurfaceStyle | ( | int | graphicId,
|  | MWAWGraphicStyle & | surfaceStyle
| ) |  | const

updates a graphic style

## ◆ updateTextStyles() [1/2]

bool RagTime5StyleManager::updateTextStyles | ( | int | textId,
|  | MWAWFont & | font,
|  | MWAWParagraph & | para,
|  | MWAWSection & | section,
|  | double | totalWidth = `0`
| ) |  | const

update the font and the paragraph properties using a text style

Referenced by readTextStyles(), and updateTextStyles().

## ◆ updateTextStyles() [2/2]

void RagTime5StyleManager::updateTextStyles | ( | size_t | id,
|  | RagTime5StyleManager::TextStyle const & | style,
|  | std::vector< RagTime5StyleManager::TextStyle > const & | listReadStyles,
|  | std::multimap< size_t, size_t > const & | idToChildIpMap,
|  | std::set< size_t > & | seens
| ) |  |
| protected

recursive function use to update the style list

## Friends And Related Function Documentation

## ◆ RagTime5Document

friend class RagTime5Document
| friend

## Member Data Documentation

## ◆ m_document

RagTime5Document& RagTime5StyleManager::m_document
| protected

the parser

Referenced by readFormats(), readGraphicColors(), readGraphicStyles(), and readTextStyles().

## ◆ m_parserState

MWAWParserStatePtr RagTime5StyleManager::m_parserState
| protected

the parser state

Referenced by readTextStyles().

## ◆ m_state

std::shared_ptr<RagTime5StyleManagerInternal::State> RagTime5StyleManager::m_state
| protected

the state

Referenced by getCellBackgroundColor(), getCellBorder(), getLineColor(), readFormats(), readGraphicColors(), readGraphicStyles(), readTextStyles(), updateBorderStyle(), updateCellFormat(), updateFrameStyle(), updateGraphicStyles(), updateSurfaceStyle(), and updateTextStyles().

The documentation for this class was generated from the following files:

- RagTime5StyleManager.hxx
- RagTime5StyleManager.cxx